[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazHelpHTML' (#lcl)

# THTMLBrowserHelpViewer.Create

Constructor for the class instance.

## Declaration

Source position: lazhelphtml.pas line 101

`public constructor THTMLBrowserHelpViewer.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited constructor using the value in TheOwner as the owner for the class instance.

Create ensures that the 'text/html' MIME type is included in the MIME types supported in the HTML help viewer. Create also sets the default value for the BrowserParams property to '%s'. The value in the ParameterHelp property is set to the constant hhsHelpTheMacroSInBrowserParamsWillBeReplacedByTheURL.

## See also

THelpDatabase.AddSupportedMimeType
THTMLBrowserHelpViewer.BrowserParams |  | Parameters passed to the browser application to display a HTML help topic.
THelpViewer.ParameterHelp |  | Contains a help message describing how parameters are used in the help viewer.